Installer la coloration syntaxique pour SPIP dans Pygments

Pygments est un logiciel écrit en Python, qui permet d’intégrer de la coloration syntaxique dans un certain nombre de logiciels.

Un module pour la syntaxe des squelettes SPIP a été écrit. Cet article vient expliquer comment l’installer.

Il ne vient pas expliquer comment installer pygments, ni comment s’en servir.

Pour pouvoir faire l’installation, il faut vous faut téléchargé le zip ci-joint

Dézipper le fichier téléchargé, puis avec le Terminal, se rendre dans le dossier ainsi dézippé, et saisir les ligne suivantes :

python setup.py build
python setup.py bdist_egg
cd dist
easy_install *egg

Discussion

One discussion

  • 3

    Salut,

    Merci pour ta contrib.
    Je n’arrive pas (ou ne comprend tout simplement pas) à utiliser cet outil.
    Je suis sous ubuntu11.1 J’ai installer le paquet pygments via la logithèque d’ubuntu.
    J’ai suivi tes conseils cité plus haut.
    Mais voila. Que faire maintenant?
    J’ai essayé sudo pygments dans la console -> et j’ai “commande inconnu”
    Comment lancer l’application?
    Je suis depuis peu sous linux et je fais de gros efforts pour y rester. Pas facile;)
    A+

    • a vrai dire cette contrib est surtout un outil pour le projet “un livre avec spip”.

      Ceci dit, lis le manuel de pygments, tu verra comment s’en servir.

      Soit un fichier squelette toto.html.

      Pour avoir une version joliment coloré :

      pygmentize -l spip toto.html

      mais pourquoi a tu besoin de la contrib ? Si c’est pour colorer dans un article, il y a un plugin qui fait cela.

    • Salut,

      Non je ne veux pas mette de la couleur dans un article.

      Je pensais que “pygments” est un éditeurs de html, qui colore la syntax des codes. tout comme notepad++ ou geany.

      Et que ce que tu proposes est un plugin qui s’ajoute à l’editeurs “pigments”, pour une coloration syntaxique spécifique à spip. En fait pour bénéfice d’une meilleur lecture des codes des pages.

      J’ai fait un test avec

      pygmentize -l spip toto.html

      ça marche pas.

      A+

    • ca ne veut rien dire “ca ne marche pas”.

      Et non, pygments n’est pas un éditeur html, c’est un outils qui te colore du code. Mais ce n’est pas un éditeur. (je l’ai dit d’ailleurs en début d’article).

      Après je ne peux pas te dire pourquoi pygments ne marche pas chez toi, il faudrait voir avec les utilisateurs de pygments.

    Reply to this message

Add a comment

Avant de faire part d’un problème sur un plugin X, merci de lire ce qui suit :

  • Désactiver tous les plugins que vous ne voulez pas tester afin de vous assurer que le bug vient bien du plugin X. Cela vous évitera d’écrire sur le forum d’une contribution qui n’est finalement pas en cause.
  • Cherchez et notez les numéros de version de tout ce qui est en place au moment du test :
    • version de SPIP, en bas de la partie privée
    • version du plugin testé et des éventuels plugins nécessités
    • version de PHP (exec=info en partie privée)
    • version de MySQL / SQLite / PostgreSQL
  • Si votre problème concerne la partie publique de votre site, donnez une URL où le bug est visible, pour que les gens puissent voir par eux-mêmes.
  • En cas de page blanche, merci d’activer l’affichage des erreurs, et d’indiquer ensuite l’erreur qui apparait.

Merci d’avance pour les personnes qui vous aideront !

Par ailleurs, n’oubliez pas que les contributeurs et contributrices ont une vie en dehors de SPIP.

Who are you?
[Log in]

To show your avatar with your message, register it first on gravatar.com (free et painless) and don’t forget to indicate your Email addresse here.

Enter your comment here

This form accepts SPIP shortcuts {{bold}} {italic} -*list [text->url] <quote> <code> and HTML code <q> <del> <ins>. To create paragraphs, just leave empty lines.

Add a document

Follow the comments: RSS 2.0 | Atom